package cn.efunbox.audio.impl.res;

import cn.efunbox.audio.entity.res.ResCategory;
import cn.efunbox.audio.repository.res.ResCategoryRepository;
import cn.efunbox.audio.service.res.ResCategoryService;
import cn.efunbox.audio.utils.ApiResult;
import cn.efunbox.audio.utils.ResApiResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ResCategoryServiceImpl implements ResCategoryService {

    @Autowired
    ResCategoryRepository resCategoryRepository;

    /**
     * 获取分类列表
     * @return
     */
    @Override
    public ResApiResult getResCategoryList() {

        List<ResCategory> resCategoryList = resCategoryRepository.getResCategoryList();

        return ResApiResult.ok(resCategoryList);
    }
}
